REST APISettle (Off Exchange)Client Allocations & Deallocations

GET

List all the currencies a given OES Partner supports for allocation and deallocation. This endpoint returns a comprehensive list of currencies that can be used for allocations, deallocations and settlements for each partner. with specific partners.

Requires access token scope: settlement_network_read

Path Params

  • enterpriseId string required
    Enterprise ID to check supported currencies for. The response will be filtered to partners accessible by this enterprise.

    at least 1 characters

Query Params

  • partnerIds array of strings required
    Comma-separated list of partner UUIDs to filter results by. Only returns supported currencies for the specified partners.

Responses

200
OK

Response Body

object

  • supportedCurrencies map of array required
    Record where the keys represent either partner IDs. The values are arrays of currency metadata objects that describe the currencies supported by that organization.
    supportedCurrencies object
    • <key> array of objects
      value object
      • partnerNames array of strings required
  • domain string required
    The domain name of the API server that processed the request. Will always be 'bitgo-network'.

    at least 1 characters

400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • error string required
500
Internal Server Error

Response Body

object

  • error string required